<?php
/**
 * Single Product tabs
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

	<div class="woocommerce-tabs">
		<ul class="tabs">
			<?php foreach ( $tabs as $key => $tab ) : ?>

				<li class="<?php echo $key ?>_tab">
					<a href="#tab-<?php echo $key ?>"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ) ?></a>
				</li>

			<?php endforeach; ?>
            <?php if (etheme_get_option('custom_tab_title') && etheme_get_option('custom_tab_title') != '' ) : ?>
                <li class="custom_tab">
                    <a href="#custom"><?php  etheme_option('custom_tab_title'); ?></a>
                </li>
            <?php endif; ?>	 
            <?php if ( etheme_get_custom_field('_etheme_custom_tab1_title') ) : ?>
                <li class="custom_tab">
                    <a href="#custom2"><?php etheme_custom_field('_etheme_custom_tab1_title'); ?></a>
                </li>
            <?php endif; ?>	 
            <?php if ( etheme_get_custom_field('_etheme_custom_tab2_title') ) : ?>
                <li class="custom_tab">
                    <a href="#custom3"><?php etheme_custom_field('_etheme_custom_tab2_title'); ?></a>
                </li>
            <?php endif; ?>	 
		</ul>
		<?php foreach ( $tabs as $key => $tab ) : ?>

			<div class="panel entry-content" id="tab-<?php echo $key ?>">
				<?php call_user_func( $tab['callback'], $key, $tab ) ?>
			</div>

		<?php endforeach; ?>
        <?php if (etheme_get_option('custom_tab') && etheme_get_option('custom_tab') != '' ) : ?>
            <div class="panel entry-content" id="custom">
            	<?php echo do_shortcode(etheme_get_option('custom_tab')); ?>
            </div>
        <?php endif; ?>	
        <?php if ( etheme_get_custom_field('_etheme_custom_tab1') ) : ?>
            <div class="panel entry-content" id="custom2">
            	<?php echo do_shortcode(etheme_get_custom_field('_etheme_custom_tab1')) ?>
            </div>
        <?php endif; ?>	
        <?php if ( etheme_get_custom_field('_etheme_custom_tab2') ) : ?>
            <div class="panel entry-content" id="custom3">
            	<?php echo do_shortcode(etheme_get_custom_field('_etheme_custom_tab2')) ?>
            </div>
        <?php endif; ?>	
	</div>

<?php endif; ?>